pycatia.navigator_interfaces.navigator_workbench

Module initially auto generated using V5Automation files from CATIA V5 R28 on 2020-06-11 12:40:47.360445

Warning

The notes denoted “CAA V5 Visual Basic Help” are to be used as reference only. They are there as a guide as to how the visual basic / catscript functions work and thus help debugging in pycatia.

class pycatia.navigator_interfaces.navigator_workbench.NavigatorWorkbench(com_object)

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)

System.IUnknown
System.IDispatch
System.CATBaseUnknown
System.CATBaseDispatch
System.AnyObject
InfInterfaces.Workbench
NavigatorWorkbench

The object to manage all DMU Navigator entities.

This version allows to manage groups and annotated views.
advanced_view(i_annotated_view: AnnotatedView, i_view_option: int) None

Note

CAA V5 Visual Basic Help (2020-06-11 12:40:47.360445))
o Sub AdvancedView(AnnotatedView iAnnotatedView,
short iViewOption)

Applies the annotated view to the current viewer.

Parameters:

iAnnotatedView
The annotated view to apply.
iViewOptions
The option to launch the annotated view command, possible values
are

CatAnnotatedViewCmdOption_NoToolbar : No Toolbar for annotation creation
CatAnnotatedViewCmdOption_NoAnimation : No Animation when applying the view

Example:

This example applies the view of the NewAnnotatedView
AnnotatedView.

TheNavigatorWorkbench.View,
CatAnnotatedViewCmdOption_NoAnimation+CatAnnotatedViewCmdOption_NoToolbar(
NewAnnotatedView)
Parameters:
Return type:

None

property annotated_views: AnnotatedViews

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property AnnotatedViews() As AnnotatedViews (Read Only)

Returns the AnnotatedViews collection.

WARNING: this method will be DEPRECATED in the next release. It is
recommended to use the method GetTechnologicalObject(“AnnotatedViews”) on the
root product, to retrieve the AnnotatedViews collection.

Example:

This example retrieves the AnnotatedViews collection of the active
document.


Dim TheNavigatorWorkbench As Workbench
Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( “NavigatorWorkbench” )
Dim TheAnnotatedViewsList As AnnotatedViews
Set TheAnnotatedViewsList = TheNavigatorWorkbench.AnnotatedViews
Return type:

AnnotatedViews

property dmu_data_flow: DMUDataFlow

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property DMUDataFlow() As DMUDataFlow (Read Only)

Returns the DMU DataFlow object.
Return type:

DMUDataFlow

get_order(i_object: AnyObject) int

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Func GetOrder(CATBaseDispatch iObject) As long

Returns the order of an object.

Parameters:

iObject
The object whose rank has to be returned.
oCurrentRank
The current rank of the object (from 1 to n the number of objects
in the collection).

Example:

This example creates an annotated view NewAnnotatedView and
returns its position.


Dim TheNavigatorWorkbench As Workbench
Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( “NavigatorWorkbench” )

Dim NewAnnotatedView As AnnotatedView
Set NewAnnotatedView = TheAnnotatedViews.Add

Dim iOrder As Integer
iOrder = TheNavigatorWorkbench.GetOrder(NewAnnotatedView)
Parameters:

i_object (AnyObject) –

Return type:

int

property groups: Groups

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Groups() As Groups (Read Only)

Returns the Groups collection.

WARNING: this method will be DEPRECATED in the next release. It is
recommended to use the method GetTechnologicalObject(“Groups”) on the root
product, to retrieve the Groups collection.

Example:

This example retrieves the Groups collection of the active
document.


Dim TheNavigatorWorkbench As Workbench
Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( “NavigatorWorkbench” )
Dim TheGroupsList As Groups
Set TheGroupsList = TheNavigatorWorkbench.Groups
Return type:

Groups

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Hyperlinks() As Hyperlinks (Read Only)

Returns the Hyperlinks collection.

WARNING: this method will be DEPRECATED in the next release. It is
recommended to use the method GetTechnologicalObject(“Hyperlinks”) on the root
product, to retrieve the Hyperlinks collection.

Example:

This example retrieves the Hyperlinks collection of the active
document.


Dim TheNavigatorWorkbench As Workbench
Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( “NavigatorWorkbench” )
Dim HyperlinksList As Hyperlinks
Set HyperlinksList = TheNavigatorWorkbench.Hyperlinks
Return type:

Hyperlinks

property marker3_ds: Marker3Ds

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384)
o Property Marker3Ds() As Marker3Ds (Read Only)

Returns the Marker3Ds collection.

WARNING: this method will be DEPRECATED in the next release. It is
recommended to use the method GetTechnologicalObject(“Marker3Ds”) on the root
product, to retrieve the Marker3Ds collection.

Example:

This example retrieves the Marker3Ds collection of the active
document.


Dim TheNavigatorWorkbench As Workbench
Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( “NavigatorWorkbench” )
Dim TheMarker3DsList As AnnotatedViews
Set TheMarker3DsList = TheNavigatorWorkbench.Marker3Ds
Return type:

Marker3Ds

set_order(i_object: AnyObject, i_new_rank: int) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub SetOrder(CATBaseDispatch iObject,
long iNewRank)

Sets the order of an object.

Parameters:

iObject
The object whose rank has to be modified.
iNewRank
The new rank of the object (from 1 to n the number of objects in
the collection).

Example:

This example creates an annotated view NewAnnotatedView and move
it to the first position.


Dim TheNavigatorWorkbench As Workbench
Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( “NavigatorWorkbench” )

Dim NewAnnotatedView As AnnotatedView
Set NewAnnotatedView = TheAnnotatedViews.Add
TheNavigatorWorkbench.SetOrder NewAnnotatedView, 1
Parameters:
  • i_object (AnyObject) –

  • i_new_rank (int) –

Return type:

None

view(i_annotated_view: AnnotatedView) None

Note

CAA V5 Visual Basic Help (2020-07-06 14:02:20.222384))
o Sub View(AnnotatedView iAnnotatedView)

Applies the annotated view to the current viewer.

Parameters:

iAnnotatedView
The annotated view to apply.

Example:

This example applies the view of the NewAnnotatedView
AnnotatedView.


TheNavigatorWorkbench.View(NewAnnotatedView)
Parameters:

i_annotated_view (AnnotatedView) –

Return type:

None